
mod message;
use message::{Message, MessageError};

mod session;
pub use session::{PsqlSession, Location};

mod types;

mod dns;

#[derive(Debug)]
pub enum PsqlError {
    LostConnection,
    Message(MessageError),
}

type PsqlResult<T> = Result<T, PsqlError>;



pub fn send_message(message: Message) -> PsqlResult<()> {
    Ok(())
}

